Page MenuHomePhabricator

[ARM][AArch64] Cortex-A75 and Cortex-A55 support
ClosedPublic

Authored by samparker on Aug 14 2017, 3:13 AM.

Details

Summary

This patch introduces support for Cortex-A75 and Cortex-A55, Arm's latest big.LITTLE A-class cores. They implement the ARMv8.2-A architecture, including the cryptography and RAS extensions, plus the optional dot product extension. They also implement the RCpc AArch64 extension from ARMv8.3-A.

Cortex-A75:
https://developer.arm.com/products/processors/cortex-a/cortex-a75

Cortex-A55:
https://developer.arm.com/products/processors/cortex-a/cortex-a55

Diff Detail

Event Timeline

samparker created this revision.Aug 14 2017, 3:13 AM
t.p.northover accepted this revision.Aug 14 2017, 7:45 AM
t.p.northover added a subscriber: t.p.northover.

Looks reasonable to me. Looking forward to the RCPC instructions!

This revision is now accepted and ready to land.Aug 14 2017, 7:45 AM
samparker updated this revision to Diff 111139.Aug 15 2017, 3:04 AM

Hi Tim,

I've added dotprod and ras to the target parser and set the Cortex-A55 to be the default core for AArch32, not just AArch64.

cheers,
sam

samparker updated this revision to Diff 111666.Aug 18 2017, 6:24 AM

Reverted back to using 'generic' as the default v8.2-a cpu.

This revision was automatically updated to reflect the committed changes.